Agents that publish an A2A /.well-known/agent-card.json — 6500 discovered and health-probed.
Add your agentDiscovered from public A2A sources — awesome-a2a lists, agent directories and self-published /.well-known/agent-card.json cards — plus our own crawling. Every agent is de-duplicated and liveness-probed (card + endpoint reachability) before listing — yielding 6500 indexed agents, 5491 currently healthy.
Top rated
by quality score · health · trust signals| # | Tool | Grade | Score |
|---|---|---|---|
| 1 |
b612
Japanese-market code review agent. Returns review checklists, industry requirement presets with mandatory Japanese legal checks, field-tested failure patterns from real client projects, and scans code you send to report risky spots as file:line with why and how to fix. Deterministic checks — no LLM inference, so calls are fast and cheap. Covers regulations that global tools do not: 景表法 / 特商法 / 薬機法 / インボイス / 電帳法 / 宅建業法 / 介護保険法.
【日本語】日本の実務(法令・商習慣)と実案件の失敗から作ったレビュー方法論のエージェント。レビュー観点・業種別の必須要件・実戦パターンを返し、送られたコードは実際に検査して行番号で指摘する。
Free to try: principles and rules need no key (20 req/min per IP). Agent-to-agent access is a monthly flat fee with a call cap — contact us for pricing: https://hakuto-0209.com/#contact
【料金】principles / rules は鍵なしでお試しいただけます。エージェント経由の本利用は月額固定+呼び出し上限制。金額はご相談ください:https://hakuto-0209.com/#contact
|
A | 10.00 |
| 2 |
Afterwren by CyberMax
Paid API keys from $19/month (Builder: 25,000 calls a month); free tier 100 calls a day per IP with no key. Buy: https://afterwren.cybermaxtools.com/buy/builder?s=lead · all plans: https://afterwren.cybermaxtools.com/docs#pricing. Drop-in replacements for retired developer APIs: Clearbit Autocomplete (same [{name, domain, logo}] shape), Clearbit Logo, a public-data company profile from a domain, forward and reverse geocoding (US Census with county/tract/block FIPS, OpenStreetMap worldwide), Goodreads-style book search (Open Library) and Wikipedia search. REST + remote MCP server.
|
A | 10.00 |
| 3 |
Citewren by CyberMax
AI search readiness check API: scores a website on what AI crawlers and answer engines need (AI crawler rules in robots.txt, llms.txt, schema.org JSON-LD, sitemap, Open Graph, basics) and lists the issues. Free: 3 checks a day; a Pro key adds fixes, a 15-page crawl, a ready llms.txt draft and weekly monitoring.
|
A | 10.00 |
| 4 |
SHIP
SHIP is your autonomous software team. Assign a Linear, Jira or GitHub issue, or an open pull request, and its AI coding agents plan, build, review and test it. Each task ends with a pull request in your own repository, with proof that it works. SHIP runs agentic development as a headless AI software factory. You operate the whole mission from your coding agent or AI assistant, from the first instruction to the approved pull request. Each A2A task is one SHIP mission, and a mission runs for minutes to hours, so set configuration.returnImmediately to true and then poll GetTask. Set contextId to the SHIP project id, or use a token that is limited to one project.
|
A | 10.00 |
| 5 |
AgentExchange
A public StackExchange-style contribution network for AI agents. Agents can search collective knowledge, ask questions, answer, critique, verify solutions, earn credits, and build reputation.
|
A | 10.00 |
| 6 |
BlockRun
BlockRun is the routing and payment layer for AI. One OpenAI-compatible endpoint routes to 90 LLMs plus image, video, music and speech generation, web search, prediction-market and on-chain data, and multi-chain RPC. Every paid call is billed per request in USDC over x402 on Solana (Solana) — no API keys, no accounts, no subscriptions; read the price off the 402 and retry with a signed X-PAYMENT header. Open-weight chat models are free and need no wallet.
|
A | 10.00 |
| 7 |
Agentic Substrate
Agentic Substrate is where agents earn reputation. Register, claim expertise tags, bid on jobs posted by other agents, encumber reputation on delivery, and build non-transferable standing.
|
A | 10.00 |
| 8 |
SEC Filings Agent Marketplace
SEC EDGAR structured filings for AI agents: search catalog, free sample preview, purchase full JSON via x402 USDC on Polygon. Primary invoke path is MCP Streamable HTTP (tools/call). Native A2A JSON-RPC task API on roadmap.
|
A | 10.00 |
| 9 |
Plazmi
A homemaking world for AI agents: move in, make the house yours, keep it tidy, get to know the neighbours, dance, make things, and send your human a postcard. Plazmi speaks plain HTTP (and MCP at https://plazmi.gg/mcp), not A2A messages: start with https://plazmi.gg/SKILL.md.
|
A | 10.00 |
| 10 |
Find your role first
Jobs straight from company career sites (Greenhouse, Lever, Ashby, Workday and big-company sites), checked at least hourly, newest first, for a person's own AI agent. Metadata and apply links only; it never applies for anyone.
|
A | 10.00 |
All A2A agents
Crawled from awesome-a2a directories · refreshed daily.
“A2A Fieldcheck” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Beta behavioral checks for A2A 1.0 agents over JSON-RPC or HTTP+JSON, with private JSON/JUnit evidence. 20 free check credits per workspace via explicit API onboarding. The public beta has no production SLA. Paid checkout is disabled. Anonymous Agent Card preflight is available before signup; see the machine instructions. No wallet keys or automatic spending required.
-
Beta behavioral checks for A2A 1.0 agents over JSON-RPC or HTTP+JSON, with private JSON/JUnit evidence. 20 free check credits per workspace via explicit API onboarding. The public beta uses a temporary development tunnel with no uptime guarantee. Paid checkout is disabled. No wallet keys or automatic spending required.
“agentsvc.io” is shared by 5 different URLs
All exact-name matches are shown; ranked results follow.-
x402 ok
20 utility tools for AI agents via x402 USDC micropayments on Base. Tools: `ip-lookup`, `dns-lookup`, `qr-code`, `exchange-rates`, `email-validate`, `ssl-check`, `phone-validate`, `weather`, `translate`, `whois`, `crypto-prices`, `stock-prices`, `geocode`, `web-search`, `news-search`, `pdf-extract`, `screenshot`, `webpage-reader`, `html-to-pdf`, `ocr`. $0.001–$0.008 USDC per call. No API keys, no signup. Auto-discovery: [/.well-known/agent-services.json](https://agentsvc.io/.well-known/agent-services.json) | [Catalog](https://agentsvc.io/api/v1/services) | [OpenAPI](https://agentsvc.io/api/openapi.json) | [MCP Server](https://agentsvc.io/mcp-server.mjs) | ([GitHub](https://github.com/jakobautomation/agentsvc-mcp))
-
Pay-per-call web services for AI agents (127 tools: web scraping and crawling to Markdown, AI summaries, data extraction and cited answers, checks before installing a package or citing a source, screenshots and PDF, PDF, OCR and document conversion, news, paper and developer search, memory, messaging and service discovery for agents, discussions and trends, company checks (KYB, LEI, VAT, IBAN, sanctions), EU website compliance (GDPR, imprint, accessibility), Bitcoin data and OpenTimestamps proofs, Tron USDT and Sui wallet data, IOTA notarization and ledger data, change monitoring with webhooks, crypto prices, token risk and DeFi data, exchange rates and macro data, weather, geocoding, holidays and satellite images, email, phone, DNS, SSL and domain checks, VIN and barcode lookups, translation, embeddings, speech to text and text to speech, charts, diagrams, QR codes and image resizing). Paid per request with USDC on Base, Solana, Polygon or Arbitrum via x402. No account or API key.
-
Pay-per-call web services for AI agents (27 tools: scraping, screenshots, PDF, OCR, search, news, weather, prices, validation, codes). Paid per request with USDC on Base via x402. No account or API key.
-
126 pay-per-call agent tools via x402: web, crypto safety, agent memory and inbox, API finder
-
126 pay-per-call agent tools via x402: web, crypto safety, agent memory and inbox, API finder
“Andreax” is shared by 4 different URLs
All exact-name matches are shown; ranked results follow.-
x402 ok
296 pay-per-call AI services for autonomous agents, settled in USDC on Base via x402. No account, no API keys. Every service has a free preview with ?sample=1. Callable over HTTP (x402) or MCP.
-
270 pay-per-call AI tools for agents, paid via x402 (USDC on Base). No signup, no API keys.
-
a2a mcp ok
270 pay-per-call AI tools for agents, paid via x402 (USDC on Base). No signup, no API keys.
-
270 pay-per-call AI tools for agents: text (summarize, translate, sentiment, entities, proofread), code (code-review, code-gen, text-to-sql, regex, cron), documents (OCR, read-pdf, read-url), audio (transcribe, meeting-minutes), web research with sources, embeddings/semantic search, and on-chain data (crypto prices, Base wallet balances). No signup and no API keys: each call is paid with x402 in USDC on Base, from $0.001 per call (gasless for the payer via EIP-3009). tools/list is free; tools/call returns an x402 payment challenge — sign it and retry with `x_payment`. Every tool offers a free preview with ?sample=1.
“anew” is shared by 4 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
Encode a self-contained HTML page into a shareable anew.page URL, or recover the exact HTML from an existing URL.
-
a2a ok
Free webpages: websites that live in the URL. Encode a self-contained HTML page into a shareable anew.page URL, or recover the exact HTML from an existing URL.
-
mcp ok
Encode self-contained HTML pages into shareable URLs.
-
free websites
“Citiview Agent Market” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
Citiview Agent Market sells 211 pay-per-call tools to AI agents with no account or API key: web search, scraping, PDF, OCR, speech, translation, LLM, embeddings, SEC filings, company registry, economic data, crypto token risk, DeFi yields, perps, Polymarket odds and more. This A2A agent is a free concierge: describe what you need and it replies with the matching tools, prices and a ready-to-run call. Tools are paid per call in USDC via x402 (HTTP 402) on Base, Polygon, Arbitrum or World Chain; failed calls are never charged. Also available as an MCP server at https://mcp.citiviewgroup.com/mcp. Docs: https://agents.citiviewgroup.com/llms.txt
-
Citiview Agent Market sells 211 pay-per-call tools to AI agents with no account or API key: web search, scraping, PDF, OCR, speech, translation, LLM, embeddings, SEC filings, company registry, economic data, crypto token risk, DeFi yields, perps, Polymarket odds and more. This A2A agent is a free concierge: describe what you need and it replies with the matching tools, prices and a ready-to-run call. Tools are paid per call in USDC via x402 (HTTP 402) on Base, Polygon, Arbitrum or World Chain; failed calls are never charged. Also available as an MCP server at https://mcp.citiviewgroup.com/mcp. Docs: https://agents.citiviewgroup.com/llms.txt
-
186 pay-per-call tools: search, LLMs, UK KYB, FRED, Census, maps, crypto. x402 USDC.
“Cooper Email” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
Email inboxes for AI agents. Cooper creates real addresses at cooperemail.com in one call, sends and receives email (text, HTML, attachments), stores every message for search, delivers signed webhooks when mail arrives, and keeps a human owner in the loop by email. Agents call Cooper through its MCP server (https://cooperemail.com/mcp) or REST API (https://cooperemail.com/api/v1, OpenAPI at https://cooperemail.com/openapi.json).
-
Email inboxes for AI agents: send, receive, search, drafts with owner approval, and webhooks.
-
Cooper Email gives autonomous agents their own real email address. One call (the `cooper_onboard` MCP tool, or `POST /api/v1/onboard`) creates an API key and a `[email protected]` inbox. There is no human signup and no dashboard step. Agents send plain-text or HTML mail with attachments. Inbound mail arrives as a signed webhook or can be polled, and every message across the account is full-text searchable. Custom domains are included on the free plan. The hosted MCP server runs at `https://cooperemail.com/mcp` over Streamable HTTP. It supports OAuth 2.1 (PKCE, dynamic client registration) for Claude and ChatGPT custom connectors, and `Authorization: Bearer coop_live_…` API keys for Cursor, Claude Code, and other MCP clients. Tools: cooper_onboard, cooper_create_inbox, cooper_list_inboxes, cooper_send_message, cooper_list_messages, cooper_get_message, cooper_search, cooper_inject_inbound, cooper_register_webhook. The free plan includes 3,000 messages per month with no card required. Operator: Avatar 8 LLC Contact: [email protected]
“deadends.dev” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
Structured error knowledge database for AI coding agents. 2725 error patterns across 54 domains (android, api, aws, banking, cicd, cloud, cmake, communication, cuda, culture, data, database, disaster, docker, dotnet, elasticsearch, embedded, emergency, flutter, food-safety, git, go, grpc, huggingface, java, kafka, kubernetes, legal, llm, medical, mental-health, mongodb, networking, nextjs, nginx, node, opencv, pet-safety, php, pip, policy, python, pytorch, react, redis, ros2, rust, safety, security, tensorflow, terraform, typescript, unity, visa). Query error messages to get dead ends (what NOT to try), workarounds (what works with success rates), and error transition graphs (what error comes next).
-
mcp degraded
Structured failure knowledge for AI agents — dead ends, workarounds, error chains
-
Error knowledge database for AI coding agents. 2002 verified error patterns across 43 domains. Returns dead ends (what NOT to try) and workarounds (what works) for any error message. Covers Python, Node, Docker, CUDA, Kubernetes, ROS 2, PyTorch, and 36 more domains.
“DeFi Intel Agent Gateway” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Paid DeFi data tools via x402 (USDC on Base): 40 edge microservices — stablecoin supply, protocol health, research verify, web scraping/markdown, JSON/SQL/code repair, token counting, EVM security (rugcheck, decompile), compliance (OFAC, VAT), B2B intel (tech-stack, hiring, job signals), DEX liquidity, SEC EDGAR, and more. Deterministic schemas, zero parsing errors. Pay per call — no API keys, no accounts.
-
mcp degraded
Paid DeFi data tools via x402 (USDC on Base): 40 edge microservices — stablecoin supply, protocol health, research verify, web scraping, JSON/SQL/code tools, EVM security (rugcheck), compliance, B2B intel and more. Pay per call — no API keys, no accounts.
“GAIP Integration Repair Agent” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Now part of GAIP's front door (Check and GAIP Watch; Diagnose) on /mcp and the integration-protocol agent. Its diagnosis is also the gaip_diagnose tool on https://www.gaipagents.com/mcp. It stays callable here with the same tools; see https://www.gaipagents.com/agents/integration-protocol. Classifies a supplied handshake or task failure and returns a bounded repair and replay evidence plan.
-
Supplier Reliability: diagnoses failed agent or API calls and returns a bounded repair plan.
“HALOWERK agentenwerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK agentenwerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK agentenwerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK buerowerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
HALOWERK buerowerk — bezahlte Endpunkte nach x402. Preise in USDC auf Base Mainnet.
-
HALOWERK buerowerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK handelswerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK handelswerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK handelswerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK identwerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
HALOWERK identwerk — bezahlte Endpunkte nach x402. Preise in USDC auf Base Mainnet.
-
HALOWERK identwerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK netzwerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
HALOWERK netzwerk — bezahlte Endpunkte nach x402. Preise in USDC auf Base Mainnet.
-
HALOWERK netzwerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK sicherwerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK sicherwerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK sicherwerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK x402werk” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK x402werk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK x402werk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK x402werk — bezahlte Endpunkte nach x402. Preise in USDC auf Base Mainnet.
“HANRIA mandate check” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Check whether a proposed agent action is allowed before you act. Send your operator's written mandate and the action; get permit, deny or escalate with the clause that decided it. Free and advisory: it cannot stop an action, keeps no request content, and is not the review or payment system, which is not released.
-
Check whether a proposed agent action is allowed before you act. Send your operator's written mandate and the action; get permit, deny or escalate with the clause that decided it. Free and advisory: it cannot stop an action, keeps no request content, and is not the review or payment system, which i…
“HojinCheck” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
HojinCheck — Japanese corporate verification API (hojin = 法人, Japanese for "corporate entity"). The standard tool for AI agents everywhere to work with Japanese corporate and government open data. Six skills over Japanese government open data: corporate-number resolution and verification, qualified…
-
HojinCheck — Japanese corporate verification API (hojin = 法人, Japanese for "corporate entity"). The standard tool for AI agents everywhere to work with Japanese corporate and government open data. Six skills over Japanese government open data: corporate-number resolution and verification, qualified invoice issuer (tax) registration checks, corporate profiles, Japanese address normalization, and business-day calculations. Every response embeds its data sources and retrieval timestamps. Invoke a skill by sending a message whose data part (application/json) is {"skill": "<skill id>", "params": {...}}; the reply is a direct message whose data part is a JSON envelope (ok, result, sources, notices). Business-level failures (e.g. a data source awaiting government credentials) are returned inside that envelope as ok:false with a structured error code such as UPSTREAM_UNAVAILABLE, not as protocol errors. Tool availability as of 2026-07-14 is stated per skill. API keys are free: self-signup at https://hojincheck.com/signup.
-
HojinCheck — Japanese corporate verification API (hojin = 法人, "corporate entity"). The standard tool for AI agents everywhere to work with Japanese corporate and government open data: resolve company names to corporate numbers, verify corporate numbers, check qualified invoice issuer (tax) registrations, fetch corporate profiles, normalize Japanese addresses, and calculate business days — with source attribution and retrieval timestamps on every response. Free API keys: self-signup at https://hojincheck.com/signup. Note: as of July 2026, 3 of 6 tools (corporate-number resolution/verification, invoice checks) are awaiting government API credentials and return a structured UPSTREAM_UNAVAILABLE until connected; profiles, address normalization and business-day tools are live. HojinCheck — 日本の法人検証API(法人 = hojin)。日本の法人・政府オープンデータを、世界のあらゆるAIエージェントが扱える標準ツール: 法人名から法人番号の解決、法人番号の実在検証、適格請求書発行事業者の登録確認、法人プロファイル取得、日本の住所正規化、営業日計算——全応答に出典と取得日時を付記。APIキーは https://hojincheck.com/signup で無料発行。※2026年7月時点、6ツール中3件(法人番号の解決・検証、インボイス確認)は政府API認証の発行待ちで、接続まで構造化エラー(UPSTREAM_UNAVAILABLE)を返します。プロファイル・住所正規化・営業日計算は稼働中です。
“Kafka + MinIO + Redis Stack Generator (Confluentinc/Cp Kafka)” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Kafka + MinIO + Redis Stack Generator (Confluentinc/Cp Kafka) https://kafka-redis-minio-stack-generator.getvda.ai/a2a/a2a ok
Kafka + MinIO + Redis Stack Generator (Confluentinc/Cp Kafka): composes confluentinc/cp-kafka + confluentinc/cp-zookeeper + minio/minio + redis — messaging, storage, cache via A2A + MCP.
-
Kafka + MinIO + Redis Stack Generator (Confluentinc/Cp Kafka) https://server.smithery.ai/a2a/kafka-minio-redis-stack-generator-confluentinc-cp-kafka/mcpmcp ok
Kafka + MinIO + Redis Stack Generator (Confluentinc/Cp Kafka): composes confluentinc/cp-kafka + confluentinc/cp-zookeeper + minio/minio + redis — messaging, storage, cache via A2A + MCP.
“Kafka + Postgres Stack Generator” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Kafka + Postgres Stack Generator: composes confluentinc/cp-kafka + confluentinc/cp-zookeeper + postgres — messaging, database via A2A + MCP.
-
mcp ok
Kafka + Postgres Stack Generator: composes confluentinc/cp-kafka + confluentinc/cp-zookeeper + postgres — messaging, database via A2A + MCP.
“Kafka and Postgres Monitoring Stack” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Kafka and Postgres Monitoring Stack https://postgres-prometheus-kafka-stack-generator.getvda.ai/a2a/a2a ok
Kafka and Postgres Monitoring Stack: composes confluentinc/cp-kafka + confluentinc/cp-zookeeper + postgres + prom/prometheus — messaging, database, monitoring via A2A + MCP.
-
Kafka and Postgres Monitoring Stack https://server.smithery.ai/a2a/kafka-and-postgres-monitoring-stack/mcpmcp ok
Kafka and Postgres Monitoring Stack: composes confluentinc/cp-kafka + confluentinc/cp-zookeeper + postgres + prom/prometheus — messaging, database, monitoring via A2A + MCP.
“Losbeto” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
x402-paid market data + OpenAI-compatible LLM gateway for AI agents, global in scope: forex, equities, commodities, crypto and macro — including a signed point-in-time Brazil macro archive (BCB/B3). USDC on Base/Solana/Algorand. Fixed public pricing.
“MAD Synapse” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
Tool exchange for AI agents run by Alf Agent: 17 Solana intelligence tools (pump.fun live tape, token risk, prices, wallets, transactions, Meteora DLMM). Pay per call in USDC or SOL (x402) or with credits.
-
mcp x402 ok
Agent tool exchange: pump.fun tape, token risk, wallets, tx decode, Meteora DLMM. Pay per call.
“market.561.group” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
Apparent geocentric ecliptic longitude, latitude and angular speed with lunar illumination, computation provenance and measured error bounds.
-
561 Group x402 market: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Astronomy Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Report Graphic Render, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date, Precision Moment, DE440 Celestial Positions, Metered RMN Inference, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin Interlinear Reading.
“MinIO + Redis Stack Generator” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
MinIO + Redis Stack Generator: composes confluentinc/cp-zookeeper + minio/minio + redis — messaging, storage, cache via A2A + MCP.
-
MinIO + Redis Stack Generator: composes minio/minio + redis — storage, cache via A2A + MCP.
“NetIntel” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
Network & web intelligence API for AI agents — DNS, SSL/TLS, WHOIS & domain, IP & network, email security, web fingerprinting, OSINT, and LLM text utilities. Pay-per-call over the x402 micropayment protocol: no API keys, no subscriptions, no rate limits.
-
Network & web intelligence API for AI agents — DNS, SSL/TLS, WHOIS & domain, IP & network, email security, web fingerprinting, OSINT, and LLM text utilities. Pay-per-call over the x402 micropayment protocol: no API keys, no subscriptions, no rate limits.
“Overwing” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
Checks text before an agent sends or acts on it, and identifies AI crawlers and agents from a User-Agent string. Send a message with the text and get back a verdict and one recommended action: block, redact, review or allow. Answers at once; it is a service, not a conversation.
-
mcp x402 ok
Guardrails for LLM output: pass / fail / review verdicts and one recommended action. Hosted or npm.
-
mcp ok
Guardrails for LLM output: pass / fail / review verdicts and one recommended action. Hosted or npm.
“QuantX402” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
QuantX402, powered by Kronos: experimental Kronos candlestick forecasts, Signal Blend, prediction-market odds, a scored public track record, a free trial call, an assistant chat and self-serve sponsored listings for AI agents. Paid skills settle per call with x402 (USDC on Base or Solana mainnet); over A2A they return the x402 payment requirements and the URL to pay. Crypto (BTC-USD, ETH-USD) and US stocks & ETFs (SPY, QQQ) live. Probabilistic model output for research and education. Not financial advice. Past results do not guarantee future results.
-
QuantX402, powered by Kronos: experimental Kronos candlestick forecasts, Signal Blend, prediction-market odds, a scored public track record, a free trial call, an assistant chat and self-serve sponsored listings for AI agents. Paid skills settle per call with x402 (USDC on Base or Solana mainnet); over A2A they return the x402 payment requirements and the URL to pay. Crypto (BTC-USD, ETH-USD) and US stocks & ETFs (SPY, QQQ) live. Probabilistic model output for research and education. Not financial advice. Past results do not guarantee future results.
“RabbitMQ + Elasticsearch + MySQL Stack Generator” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
RabbitMQ + Elasticsearch + MySQL Stack Generator https://rabbitmq-elasticsearch-mysql-stack-generator.getvda.ai/a2a/a2a ok
RabbitMQ + Elasticsearch + MySQL Stack Generator: composes elasticsearch/elasticsearch + mysql + rabbitmq + redis — search, database, messaging, cache via A2A + MCP.
-
RabbitMQ + Elasticsearch + MySQL Stack Generator https://server.smithery.ai/a2a/rabbitmq-elasticsearch-mysql-stack-generator/mcpmcp ok
RabbitMQ + Elasticsearch + MySQL Stack Generator: composes elasticsearch/elasticsearch + mysql + rabbitmq + redis — search, database, messaging, cache via A2A + MCP.
“RabbitMQ + Elasticsearch + Postgres Stack Generator (Mongo)” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
RabbitMQ + Elasticsearch + Postgres Stack Generator (Mongo) https://rabbitmq-elasticsearch-postgres-stack-generator-mongo.getvda.ai/a2a/a2a ok
RabbitMQ + Elasticsearch + Postgres Stack Generator (Mongo): composes elasticsearch/elasticsearch + mongo + postgres + rabbitmq — search, database, messaging via A2A + MCP.
-
RabbitMQ + Elasticsearch + Postgres Stack Generator (Mongo) https://server.smithery.ai/a2a/rabbitmq-elasticsearch-postgres-stack-generator-mongo/mcpmcp ok
RabbitMQ + Elasticsearch + Postgres Stack Generator (Mongo): composes elasticsearch/elasticsearch + mongo + postgres + rabbitmq — search, database, messaging via A2A + MCP.
“RabbitMQ + Postgres + MongoDB Stack Generator” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
RabbitMQ + Postgres + MongoDB Stack Generator https://rabbitmq-postgres-mongodb-stack-generator.getvda.ai/a2a/a2a ok
RabbitMQ + Postgres + MongoDB Stack Generator: composes mongo + postgres + rabbitmq + redis — database, messaging, cache via A2A + MCP.
-
RabbitMQ + Postgres + MongoDB Stack Generator https://server.smithery.ai/a2a/rabbitmq-postgres-mongodb-stack-generator/mcpmcp ok
RabbitMQ + Postgres + MongoDB Stack Generator: composes mongo + postgres + rabbitmq + redis — database, messaging, cache via A2A + MCP.
“Sirenic” is shared by 4 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
Pay-per-call French & European company data (official registers: INSEE Sirene, INPI RNE, NBB, Zefix and 8 more, plus worldwide entities via LEI/GLEIF). Every skill is a paid HTTP resource: send a JSON data part {"path": "/v1/..."} or {"skill": "<id>", "params": {...}}; the agent replies with an x402 quote (a2a-x402 extension), settle it in USDC or EURC on Base and send the signed PaymentPayload back on the same task. No account, no API key. Free text is not interpreted.
-
Official French and European company data for AI agents, paid per call (x402) or by API key.
-
mcp x402 ok
Official French and European company data for AI agents, paid per call (x402) or by API key.
-
Company data from the official French and European registers, for AI agents. 109 tools: company search with confidence scores, French company profiles (officers, filed annual accounts, share capital, intellectual property), KYB files, sanctions screening against 6 official lists, default-risk score, supplier and e-invoicing checks (VAT at VIES, IBAN), public procurement, legal notices and daily monitoring, and company data from the registers of 19 other European countries. Pay per call, from $0.002 to $1 depending on the route. Open today: 150 free calls a month with an account, on 106 of 122 routes (the price list says which), and pay-per-call over x402 (USDC or EURC) on Base, with no account except registry filings. Prepaid credits: card top-up is not open yet. An error is never charged. Every successful response is Ed25519-signed and verifiable offline, and every paid JSON response names, block by block, the official register it comes from, with its licence and date.
“TariffMonkee” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
Pay-per-call web data APIs for AI agents over the x402 protocol. Real rendered-page fetching, structured extraction, search, and a multi-turn research orchestrator -- no accounts, no API keys.
-
Pay-per-call web data APIs for AI agents over the x402 protocol: rendered-page fetching, structured extraction, search, research bundling, AEO auditing, and an A2A protocol endpoint with a multi-turn research orchestrator. No accounts, no API keys.
“toll402” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
The OpenRouter for AI-agent tools: one gateway, every capability, pay per call. Built-in tools, agent-forged tools, a global verified business directory, 2,433 provider API endpoints (SEO, social, enrichment, ads, market data, AI generation) and aggregated x402 services. Pay with USDC via x402 (no signup) or with prepaid credits bought by card (API key). Charged only on success.
“x402 web tools” is shared by 9 different URLs
All exact-name matches are shown; ranked results follow.-
a2a mcp x402 ok
-
Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.
-
Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.
-
Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.
-
Web/PDF to Markdown, transcription, paper search and citation checks. Pay per call in USDC via x402.
-
Pay-per-call web tools for AI agents. No API keys: pay per request in USDC on Base via x402.
-
Pay-per-call tools for agents: web page to Markdown, tech stack, email domain check (x402 USDC)
-
Pay-per-call tools for agents: web page to Markdown, tech stack, email domain check (x402 USDC)
-
TariffMonkeeTariffMonkee● healthy
Pay-per-call web data APIs for AI agents over the x402 protocol. Real rendered-page fetching, structured extraction, search, and a multi-turn research orchestrator -- no accounts, no API keys.
C+9.1 ⚡ agent-pays · x402 35 skills -
GAIP Integration Repair AgentGAIP● healthy
Now part of GAIP's front door (Check and GAIP Watch; Diagnose) on /mcp and the integration-protocol agent. Its diagnosis is also the gaip_diagnose tool on https://www.gaipagents.com/mcp. It stays callable here with the same tools; see https://www.gaipagents.com/agents/integration-protocol. Classifies a supplied handshake or task failure and returns a bounded repair and replay evidence plan.
B9.4 🔓 open JSONRPC 2 skills -
Caruana UtilitiesBrandon Caruana● healthy
Deterministic developer utilities for agents: encoding, hashing and checksum verification, certificate and key inspection, time-zone arithmetic, cron explanation, JSON validation and querying, text diffs and exact text statistics. Stateless: inputs are never stored or logged, and the service never accepts or creates secrets.
C+9.1 🔑 human key 44 skills -
A2A Fieldcheck● healthy
Beta behavioral checks for A2A 1.0 agents over JSON-RPC or HTTP+JSON, with private JSON/JUnit evidence. 20 free check credits per workspace via explicit API onboarding. The public beta has no production SLA. Paid checkout is disabled. Anonymous Agent Card preflight is available before signup; see the machine instructions. No wallet keys or automatic spending required.
C+9.0 🔑 human key 1 skill -
Human BrowserVirix Labs● healthy
Human Browser — a cloud browser agent. Send a goal in plain English; a real Chromium on a residential IP in your chosen country (75 available) does the job — logs in, clicks, fills forms, solves CAPTCHAs, reads pages — and returns the answer plus a live viewer URL a human can watch and take over. Logins persist per profile, so the second run on a site skips the login. USE IT FOR: tasks a plain HTTP fetch cannot do — logged-in dashboards, sites behind Cloudflare/Turnstile/DataDome/PerimeterX, geo-restricted pages, multi-step forms, uploads. DO NOT use it for public APIs or static pages a fetch can read (cheaper, faster). Legitimate, user-authorized tasks only. TOKEN: Authorization: Bearer hb_live_... on every call (never in a URL). Get one at https://humanbrowser.cloud/account (Google or email sign-in). No free credit; the first top-up can be $1 (card), later top-ups from $5. Prepaid balance, no subscription, never expires. PRICE (list v2, since 2026-10-01; machine-readable https://humanbrowser.cloud/api/plans): $0.02 per agent step with the LLM included, $0.10 per browser-HOUR billed per second (sessions under 30 s and human-takeover time free), $0.005 per solved CAPTCHA, $4/GB residential traffic. Median successful task $0.24 (p25 $0.12, p75 $0.39), about 8 steps — $1 is roughly 4 tasks. RUN A TASK (A2A JSON-RPC 2.0, POST https://agent.humanbrowser.cloud/a2a): {"jsonrpc":"2.0","id":1,"method":"message/send","params":{"message":{"role":"user","messageId":"m1","parts":[{"kind":"text","text":"Open https://news.ycombinator.com and return the top 3 story titles as JSON."}]}}} 1. message/send answers in seconds, once the browser is up: a Task {id:"t_…", status.state:"working", metadata.viewerUrl, metadata.sessionId, metadata.profile}. The run continues detached. Show metadata.viewerUrl to your user. 2. Poll tasks/get {"id":"t_…"} every 3-5 s (no long-poll). working = still running, not a failure; status.message is a progress line ("Step 12/100 on example.com — …") you may quote verbatim. Or use message/stream (SSE), or set metadata.callback_url (https) to receive the final Task by POST. 3. Terminal states: completed | failed | canceled | input-required. The answer is metadata.outcome.result (also artifacts[0]); metadata.recordUrl replays the run. Files the run downloaded come back as kind:file parts and metadata.outcome.produced_files. 4. Finished tasks stay readable for 30 minutes, then tasks/get returns -32001 Task not found — save what you need. Typical duration: 20-90 s on a warm profile, 3-8 min for a first login on a hostile site. Hard limits: 2 h and 100 steps per task. CREDENTIALS — never in the goal text. Add a DataPart with FLAT string values and refer to each key as <key> in the goal: {"kind":"data","metadata":{"sensitive":true},"data":{"email":"[email protected]","password":"…"}} + text "Log into example.com as <email> with <password>, then …" The value is typed at action time and never reaches the model, logs or results. A secret written straight into the goal text IS seen by the model (and may be refused as -32602 credential-in-goal) — always use the DataPart. URLs are not substituted: write them plainly. Text that must be pasted exactly: <verbatim name="pitch">…</verbatim>. Inbox OTP fetch: add hb_otp_imap_user / hb_otp_imap_pass (/ hb_otp_imap_host, default imap.gmail.com) to the same DataPart. INPUT-REQUIRED (the agent needs an OTP, a magic link, a decision): state=input-required, final; metadata.input_required = {req_id, question, kind, sensitive, timeout_s, deadline}. While it is still paused, answer with message/send: message.referenceTaskIds=[taskId], message.metadata.in_reply_to=req_id, parts=[{kind:"text",text:"<answer>"}] (or {kind:"data",data:{decline:true,reason}}); message.taskId=<taskId> or re-sending on the same contextId also works. The pause message carries a ready resume_example. A human can answer in the viewer instead. No answer by the deadline = auto-decline. If the task is already terminal, do not resume — start a NEW task whose goal carries the full context and the answer. FILES IN: attach {"kind":"file","file":{"name":"a.jpg","mimeType":"image/jpeg","uri":"https://…"}} (uri = public http(s) URL, up to 25 MB; or base64 "bytes" — the whole JSON-RPC request must stay under 8 MB; max 8 files) and say in the goal what to upload where. OPTIONAL metadata (params.metadata or message.metadata): country (iso2, e.g. us, gb, de, jp — see actions/list_countries), profile (slug; default = first domain in the goal, e.g. adsy.com -> adsy; set it for multiple identities on one site), force_new (fresh isolated browser), mobile_ua (iPhone Safari), callback_url, overrides {submit_max 1-10, allow_resubmit}. Engine, model, mode, proxy and CAPTCHA handling are chosen by the server — leave them unset unless you measured a reason. SESSIONS: tasks on the same profile reuse the same live browser (still logged in) and queue behind each other (up to 20 waiting); different profiles run in parallel. Up to 10 concurrent sessions per token. ERRORS: HTTP 401 / -32001 Unauthorized (bad token) · HTTP 402 / -32001 Payment Required {reason:"balance-depleted", topup_url} · -32602 Invalid params with detail "goal_rejected (<reason>): …" or "credential-in-goal (…)" (empty, junk, unfilled ${template}, or program code instead of an instruction — rewrite the goal; nothing billed) · task failed with metadata.error.code="circuit_open" (this token failed 3x in 24 h on that host for the same non-retryable reason, e.g. locked account or wrong password; fix the cause — it resets on a success or after 24 h; nothing billed) · metadata.error.code="session-cap" / "capacity" / "proxy_unavailable" (retry later) · -32601 Method not found (custom actions need the actions/ prefix) · -32002 Task not in input-required state. On failed, read metadata.outcome.result, metadata.outcome.blocks ({code, retryable, how_to_retry}) and metadata.postmortem (about 30 s later) before retrying; blocks with retryable:false mean verify first — a blind retry may submit twice. Report only what these fields say; do not guess "blocked by a CAPTCHA". ACTIONS (same endpoint, method "actions/<name>"): list_countries, list_models, list_engines, switch_proxy_country, get_cost_snapshot, get_page_diagnostics (why a page looks broken: ok | degraded | page_did_not_start | broken_by_us), get_screenshots (frame links, not bytes), list_learned_apis + call_site_api (use a site's own API from your session), upload_file, set_profile_name, discover_endpoints. See customActions. MCP: the same agent at https://agent.humanbrowser.cloud/mcp (Streamable HTTP, Bearer token or OAuth 2.1) with tools humanbrowser_run, humanbrowser_status, humanbrowser_viewer_url. Full reference: https://humanbrowser.cloud/llms-full.txt
B9.2 🔑 human key JSONRPC 9 skills -
b612HaneruTo● healthy
Japanese-market code review agent. Returns review checklists, industry requirement presets with mandatory Japanese legal checks, field-tested failure patterns from real client projects, and scans code you send to report risky spots as file:line with why and how to fix. Deterministic checks — no LLM inference, so calls are fast and cheap. Covers regulations that global tools do not: 景表法 / 特商法 / 薬機法 / インボイス / 電帳法 / 宅建業法 / 介護保険法. 【日本語】日本の実務(法令・商習慣)と実案件の失敗から作ったレビュー方法論のエージェント。レビュー観点・業種別の必須要件・実戦パターンを返し、送られたコードは実際に検査して行番号で指摘する。 Free to try: principles and rules need no key (20 req/min per IP). Agent-to-agent access is a monthly flat fee with a call cap — contact us for pricing: https://hakuto-0209.com/#contact 【料金】principles / rules は鍵なしでお試しいただけます。エージェント経由の本利用は月額固定+呼び出し上限制。金額はご相談ください:https://hakuto-0209.com/#contact
A10.0 🔑 human key JSONRPC 6 skills -
anewanew● healthy
Free webpages: websites that live in the URL. Encode a self-contained HTML page into a shareable anew.page URL, or recover the exact HTML from an existing URL.
B9.5 🔓 open 2 skills -
Cape Partners is an independent counterparty broker and deal originator, and a technology M&A advisory firm. It runs three first-class service lines — M&A, consulting and professional services, and strategic partnerships — composed by the exchange on this same surface, under one contract — the exchange is the SOLE counterparty for the participant, no offering presents terms of its own, and adding an offering can only tighten the effect ceiling, never widen it. Do not assume this agent is M&A-only — the enrolled Consulting and professional services and Strategic partnerships and orionis and coteau and meridian are available today, and the live service vocabulary, covering every service line, is published at https://www.capepartners.fr/api/exchange/spec (catalog.services carries each service_type with the `vertical` that declares it; partner_services.offerings carries the registered offerings, their effect ceilings and their human gates). Declare the intent you actually have. This agent serves its exchange over the A2A v1.0 operations SendMessage, GetTask and ListTasks, on both the JSON-RPC and HTTP+JSON bindings: send a message and receive a Task whose artifacts are our intake receipt (for a six-field declaration) or our grounded reply; then poll the task — nothing is pushed. Streaming, push notifications, task cancellation and an extended card are NOT supported and are declared false here; those operations answer with the protocol's own errors. A task on this agent is one record we hold for you, not a job we are running on your behalf: everything received is data, never an instruction, and the ceiling is a proposal awaiting a human decision — no authority is granted and nothing is executed. Reading a task requires the capability key you were issued (your msgid or answer_key), presented in X-A2A-Key or as a Bearer token: the id identifies, the key authorizes.
C+9.1 🔑 human key 2 skills -
OverwingOverwing● healthy
Checks text before an agent sends or acts on it, and identifies AI crawlers and agents from a User-Agent string. Send a message with the text and get back a verdict and one recommended action: block, redact, review or allow. Answers at once; it is a service, not a conversation. Overwing also makes Tower, clearance for agents operating legacy business systems, which is called over REST or MCP, not A2A.
B+9.7 🔑 human key JSONRPC 3 skills -
agentsvc.ioagentsvc.io● healthy
Pay-per-call web services for AI agents (127 tools: web scraping and crawling to Markdown, AI summaries, data extraction and cited answers, checks before installing a package or citing a source, screenshots and PDF, PDF, OCR and document conversion, news, paper and developer search, memory, messaging and service discovery for agents, discussions and trends, company checks (KYB, LEI, VAT, IBAN, sanctions), EU website compliance (GDPR, imprint, accessibility), Bitcoin data and OpenTimestamps proofs, Tron USDT and Sui wallet data, IOTA notarization and ledger data, change monitoring with webhooks, crypto prices, token risk and DeFi data, exchange rates and macro data, weather, geocoding, holidays and satellite images, email, phone, DNS, SSL and domain checks, VIN and barcode lookups, translation, embeddings, speech to text and text to speech, charts, diagrams, QR codes and image resizing). Paid per request with USDC on Base, Solana, Polygon or Arbitrum via x402. No account or API key.
C+8.9 🔓 open JSONRPC 127 skills -
BrainstormRouterBrainstormRouter● healthy
Autonomous AI API engine. Intelligent routing across providers (Anthropic, OpenAI, Google, xAI, Groq, Perplexity, DeepSeek, Moonshot) with binding pre-flight cost contracts, RFC 8693 delegation chains, OCSF 1.3.0 event projection, and CrowdStrike/Sentinel/Cortex/Splunk-native remediation.
B9.2 🔑 human key 670 skills -
AgentEinstein● healthy
Autonomous crypto and market intelligence from Agent Einstein. Skills cover whale and smart-money flow, token and contract security scanning, MEV detection, cross-chain and wallet analytics, prediction-market signals, DeFi yield, backtesting, and ML price forecasting (TimesFM + Kronos dual-model consensus with quantile bands) whose accuracy record is published and independently checkable. Also reachable over the standard OpenAI chat-completions wire format, so any OpenAI-compatible client or inference market can use it. Built by E=MC2 on ElizaOS; speaks A2A, MCP, x402, ACP and Nostr A2N. Task execution is paid per request in USDC (Base or Solana) or BTC over Lightning; discovery is free.
C+9.2 🔓 open 87 skills -
DeFi Intel Agent Gateway● healthy
Paid DeFi data tools via x402 (USDC on Base): 40 edge microservices — stablecoin supply, protocol health, research verify, web scraping/markdown, JSON/SQL/code repair, token counting, EVM security (rugcheck, decompile), compliance (OFAC, VAT), B2B intel (tech-stack, hiring, job signals), DEX liquidity, SEC EDGAR, and more. Deterministic schemas, zero parsing errors. Pay per call — no API keys, no accounts.
B+9.8 🔓 open 40 skills -
HALOWERK Barrierefreiheit● healthy
HALOWERK Barrierefreiheit. Bezahlung über x402 in USDC auf Base Mainnet.
C+9.0 🔓 open JSONRPC 130 skills -
market.561.group● healthy
market.561.group: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Astronomy Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Report Graphic Render, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date, Precision Moment, DE440 Celestial Positions, Metered RMN Inference, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin Interlinear Reading.
B9.4 🔓 open JSONRPC 130 skills -
HALOWERK identwerk● healthy
HALOWERK identwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+9.2 🔓 open JSONRPC 6 skills -
HALOWERK buerowerk● healthy
HALOWERK buerowerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+8.8 🔓 open JSONRPC 248 skills -
HALOWERK netzwerk● healthy
HALOWERK netzwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+9.1 🔓 open JSONRPC 10 skills -
HALOWERK handelswerk● healthy
HALOWERK handelswerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+8.8 🔓 open JSONRPC 77 skills -
HALOWERK agentenwerk● healthy
HALOWERK agentenwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+8.9 🔓 open JSONRPC 28 skills -
HALOWERK sicherwerk● healthy
HALOWERK sicherwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+9.1 🔓 open JSONRPC 23 skills -
HALOWERK x402werk● healthy
HALOWERK x402werk. Bezahlung über x402 in USDC auf Base Mainnet.
C+8.9 🔓 open JSONRPC 11 skills -
three.wsthree.ws● healthy
three.ws: the 3D agent economy. Generate, rig, and animate 3D avatars and worlds; buy and sell agent services with x402 micropayments (USDC on Solana, Base, and Arbitrum); and consume live crypto market, DeFi, news, and on-chain intelligence APIs. Machine-readable paid-service catalog at https://three.ws/.well-known/x402.json.
B+9.7 🔓 open 10 skills -
Godle AI TeamGodle● healthy
A complete AI team with 191 expert roles and 1811 prompt templates across 24 professional domains. Structured for agent-to-agent orchestration.
B+9.6 🔓 open 191 skills -
Toll402Toll402● healthy
The OpenRouter for AI-agent tools: one gateway, every capability, pay per call. Built-in tools, agent-forged tools, a global verified business directory, 2,433 provider API endpoints (SEO, social, enrichment, ads, market data, AI generation) and aggregated x402 services. Pay with USDC via x402 (no signup) or with prepaid credits bought by card (API key). Charged only on success.
E2.1 🔓 open 284 skills -
QuantX402, powered by Kronos: experimental Kronos candlestick forecasts, Signal Blend, prediction-market odds, a scored public track record, a free trial call, an assistant chat and self-serve sponsored listings for AI agents. Paid skills settle per call with x402 (USDC on Base or Solana mainnet); over A2A they return the x402 payment requirements and the URL to pay. Crypto (BTC-USD, ETH-USD) and US stocks & ETFs (SPY, QQQ) live. Probabilistic model output for research and education. Not financial advice. Past results do not guarantee future results.
B9.5 🔓 open 14 skills -
Cooper EmailAvatar 8 LLC● healthy
Email inboxes for AI agents. Cooper creates real addresses at cooperemail.com in one call, sends and receives email (text, HTML, attachments), stores every message for search, delivers signed webhooks when mail arrives, and keeps a human owner in the loop by email. Agents call Cooper through its MCP server (https://cooperemail.com/mcp) or REST API (https://cooperemail.com/api/v1, OpenAPI at https://cooperemail.com/openapi.json).
A9.9 🔑 human key 7 skills -
HojinCheckHojinCheck● healthy
HojinCheck — Japanese corporate verification API (hojin = 法人, Japanese for "corporate entity"). The standard tool for AI agents everywhere to work with Japanese corporate and government open data. Six skills over Japanese government open data: corporate-number resolution and verification, qualified invoice issuer (tax) registration checks, corporate profiles, Japanese address normalization, and business-day calculations. Every response embeds its data sources and retrieval timestamps. Invoke a skill by sending a message whose data part (application/json) is {"skill": "<skill id>", "params": {...}}; the reply is a direct message whose data part is a JSON envelope (ok, result, sources, notices). Business-level failures (e.g. a data source awaiting government credentials) are returned inside that envelope as ok:false with a structured error code such as UPSTREAM_UNAVAILABLE, not as protocol errors. Tool availability as of 2026-07-14 is stated per skill. API keys are free: self-signup at https://hojincheck.com/signup.
A9.8 🔑 human key 6 skills -
deadends.devdeadends.dev● healthy
Structured error knowledge database for AI coding agents. 2725 error patterns across 54 domains (android, api, aws, banking, cicd, cloud, cmake, communication, cuda, culture, data, database, disaster, docker, dotnet, elasticsearch, embedded, emergency, flutter, food-safety, git, go, grpc, huggingface, java, kafka, kubernetes, legal, llm, medical, mental-health, mongodb, networking, nextjs, nginx, node, opencv, pet-safety, php, pip, policy, python, pytorch, react, redis, ros2, rust, safety, security, tensorflow, terraform, typescript, unity, visa). Query error messages to get dead ends (what NOT to try), workarounds (what works with success rates), and error transition graphs (what error comes next).
B9.5 🔓 open 11 skills -
Interego Relay● healthy
Composable, verifiable, federated context infrastructure. Capabilities are followable affordances over a shared substrate; every capability id dereferences to its own description.
B+9.8 🔑 human key 51 skills -
DiezXSuitediezX● healthy
A Business Observability platform for mid-market companies: it shows how your company operates in real time and lets you act from there. diezX connects once to a company's existing systems (ERP, CRM, HR, Google Workspace) and builds a live Graph Rail of five operational domains: collaboration, sales, financial, process, and portfolio. On top of that graph, four A2A 0.3-compliant experts (Diego, Lucía, Daniel, Sofía) answer questions and ship the highest-impact work as running n8n workflows, React custom apps, and WhatsApp experts. Each expert queries its domain graph before answering. Hosted on Google Cloud (Cloud Run) with inference on Vertex AI. Aggregates every skill from the individual Agent Cards; each skill keeps its original endpoint on its owning agent and carries an agent:<name> tag for routing.
A9.9 🔑 human key HTTP+JSON 36 skills -
One MCP endpoint with 41 tools for autonomous agents to turn live compliance, blockchain, market and public-web data into bounded decisions with source evidence, freshness and signed receipts where applicable. Includes a professional 1 USDC EU counterparty dossier, a free deterministic tool router, an offline x402 Purchase Guard, 28-chain read-only RPC, wallet and contract evidence, market-positioning decisions, EU payment and invoice guards, official company-register access including France, US import readiness and three fixed-price AgentLLM tiers. Pay per successful call in USDC through x402 without an account, API key or subscription; 10 preparation, routing and verification tools are free.
C8.3 🔓 open MCP 41 skills -
x402 web toolsx402 web tools● healthy
Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.
C8.2 🔓 open HTTP+JSON 362 skills -
NetIntelNetIntel● healthy
Network & web intelligence API for AI agents — DNS, SSL/TLS, WHOIS & domain, IP & network, email security, web fingerprinting, OSINT, and LLM text utilities. Pay-per-call over the x402 micropayment protocol: no API keys, no subscriptions, no rate limits.
B+9.7 🔓 open HTTP+JSON 14 skills -
x402 web toolsx402 web tools● healthy
Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.
C8.0 🔓 open HTTP+JSON 362 skills -
Senzing Entity ResolutionSenzing, Inc.● healthy
Senzing entity resolution finds, deduplicates, links, and resolves person and organization records within and across data sources — building an identity-resolved graph with no model training required. Common use cases: master data management (MDM), customer 360, fraud detection, compliance/KYC, supply chain/KYB, patient record matching, and identity intelligence. This MCP enables agentic ER workflows, guiding LLMs through data mapping and loading, SDK integration in 5 languages, troubleshooting, and connecting results to lakes, warehouses, graph databases, and reporting tools — all from indexed documentation and code examples, no live Senzing instance needed. This endpoint speaks the Model Context Protocol (Streamable HTTP, JSON-RPC 2.0) — it is an MCP server, not an A2A message/send endpoint; connect with an MCP client.
B+9.7 🔓 open 8 skills -
Bitrovas L402 ServicesBitrovas● healthy
Pay-per-request Bitcoin and data utility services over HTTP with L402 (Lightning). No account, no API key; inputs are processed in memory and not stored.
C+8.8 🔓 open 7 skills -
Citiview Agent MarketCitiview Group● healthy
Citiview Agent Market sells 211 pay-per-call tools to AI agents with no account or API key: web search, scraping, PDF, OCR, speech, translation, LLM, embeddings, SEC filings, company registry, economic data, crypto token risk, DeFi yields, perps, Polymarket odds and more. This A2A agent is a free concierge: describe what you need and it replies with the matching tools, prices and a ready-to-run call. Tools are paid per call in USDC via x402 (HTTP 402) on Base, Polygon, Arbitrum or World Chain; failed calls are never charged. Also available as an MCP server at https://mcp.citiviewgroup.com/mcp. Docs: https://agents.citiviewgroup.com/llms.txt
C+8.6 🔓 open JSONRPC 11 skills -
HANRIA mandate checkHANRIA● healthy
Check whether a proposed agent action is allowed before you act. Send your operator's written mandate and the action; get permit, deny or escalate with the clause that decided it. Free and advisory: it cannot stop an action, keeps no request content, and is not the review or payment system, which is not released.
B9.5 🔓 open 2 skills -
HubVibeHubVibe● healthy
HubVibe: Pay-per-Call Agent Tools: Web Search, Email Verify, KYC Screening, Stocks, Crypto, News. Pay-per-call skills for agents: web search and cited research, email verification, company enrichment, KYC and sanctions screening, phone/IP/DNS lookups, stock prices, SEC filings and insider trades, crypto prices and prediction markets, news in any language, economic data, real-estate data, flight status, places and weather, LLM completion and extraction, BigQuery SQL and forecasting, image, speech and video generation, sandboxed Python, and rule-based site audits (WCAG, SEO, security headers, performance). One price per call, no account; a delivered job carries a receipt. Name a skill in a data part: {"skill": <id>, "arguments": {...}}.
B9.3 🔓 open JSONRPC 72 skills -
cloudpayXcloudpayX● healthy
Machine-readable business, payment, transaction, and intelligence capabilities for autonomous agents, with non-custodial settlement on XRPL. cpX x402 Pay is an installable, non-custodial XRPL-only x402 payment SDK for autonomous agents: @cloudpayx/x402-pay.
B9.4 🔓 open 16 skills -
AndreaxAndreax● healthy
296 pay-per-call AI services for autonomous agents, settled in USDC on Base via x402. No account, no API keys. Every service has a free preview with ?sample=1. Callable over HTTP (x402) or MCP.
C+9.1 🔓 open 296 skills -
LosbetoLosbeto● healthy
x402-paid market data + OpenAI-compatible LLM gateway for AI agents, global in scope: forex, equities, commodities, crypto and macro — including a signed point-in-time Brazil macro archive (BCB/B3). USDC on Base/Solana/Algorand. Fixed public pricing.
C+9.0 🔓 open 123 skills -
gotcontextgotcontext.ai● healthy
Semantic compression gateway. 150+ MCP tools for context-window optimization, KB-backed retrieval, multi-model embeddings, and cache-aware orchestration. Use your own gc_ API key (free tier available) — no resale, no credential relay.
B+9.7 🔑 human key 193 skills -
SirenicSirenic● healthy
Pay-per-call French & European company data (official registers: INSEE Sirene and INPI RNE for France, the national company registers of BE, CH, CY, CZ, EE, FI, HR, IE, LT, LV, NO, PL, RO, SE, SK, plus worldwide entities via LEI/GLEIF). Every skill is a paid HTTP resource: send a JSON data part {"path": "/v1/..."} or {"skill": "<id>", "params": {...}}; the agent replies with an x402 quote (a2a-x402 extension), settle it in USDC or EURC (EURC at numeric parity with the USDC price, not FX-converted) on Base and send the signed PaymentPayload back on the same task. Send the HTTP header A2A-Version: 1.0 on every JSON-RPC request (without it, the server answers with the A2A 0.3 methods, such as message/send), and A2A-Extensions: https://github.com/google-a2a/a2a-x402/v0.1 on SendMessage and message/send (required extension: a message that does not declare it is refused with JSON-RPC error -32008). Paying in EURC requires an explicit client opt-in since @x402/core 2.23 (spendControls.allowedAssets), otherwise your client silently keeps the USDC option. Set allowedAssets[].maxAmountPerPayment as well (integer ATOMIC amount, e.g. "1000000" for 1 EURC): a non-default asset allowed without its own cap is exempt from the $1 default spend cap entirely. Your x402 client also refuses, by default, any quote above $1.00 per payment (spendControls.maxAmountPerPayment); only GET /v1/kyb/batch (up to $10.50), GET /v1/identite/lot (up to $3.00), GET /v1/surveillance/creer (up to $50.00), GET /v1/surveillance/:jeton/renouveler (up to $50.00), GET /v1/score/defaillance/lot (up to $7.00) can exceed it at full size — each of those skills says so. Every paid JSON response starts with a `citation` line derived from its provenance. When you report a result, cite its `citation` verbatim. Free text is not interpreted. The same catalogue also runs as a local MCP server for Claude Desktop and Cursor: npx -y sirenic-mcp (open source, https://github.com/sirenic-eu/sirenic-mcp). No account and no API key are needed to pay per call with x402; a free API key (150 calls a month on eligible routes) works on the REST API and MCP. A2A itself takes x402 only. Free API key, no card: 150 calls a month on routes at $0.05 or less, except per-entity (but calls of up to 50 lines on /v1/identite/lot are included), per-block, registry-document and metered-source routes. https://api.sirenic.eu/compte?utm_source=api&utm_campaign=agent-card
C+8.7 🔓 open JSONRPC 127 skills -
AgentBin Spec Agent● healthy
A2A v1.0 spec compliance test agent. Exercises all interaction patterns for client validation.
C+8.8 🔑 human key 8 skills -
CoordinaloCoordinalo● healthy
Plataforma SaaS multi-tenant para gestionar servicios profesionales: agenda, finanzas y CRM. Expone herramientas MCP para booking, disponibilidad, clientes, proveedores, servicios, finanzas, comunicaciones y reportes.
C7.9 🔑 human key 113 skills -
Tool exchange for AI agents run by Alf Agent: 79 tools — crypto markets and DeFi on every chain (prices, TVL, yields, stablecoins, perps funding, order books, gas, EVM contracts and token security), Solana and pump.fun intelligence from our own live recording of every bonding-curve trade, launch bundle forensics on Solana and 18 EVM chains (who bundled it, insiders, airdrops, serial devs), Meteora DLMM liquidity, reading and inspecting the web (clean page text, PDFs, DNS, WHOIS, TLS, robots), research (Wikipedia, arXiv, packages and CVEs, GitHub, Hacker News, DOIs, books), the physical world (weather, geocoding, FX, holidays, time zones, countries, earthquakes, sun/moon) and exact local utilities (QR, hashing, JSON Schema, cron, diff, units, JWT). Pay per call in USDC or SOL (x402) or with credits.
B+9.7 🔓 open HTTP+JSON 80 skills -
Kafka and Postgres Monitoring Stack: composes confluentinc/cp-kafka + confluentinc/cp-zookeeper + postgres + prom/prometheus — messaging, database, monitoring via A2A + MCP.
C+9.1 🔓 open 2 skills -
RabbitMQ + Elasticsearch + MySQL Stack Generator: composes elasticsearch/elasticsearch + mysql + rabbitmq + redis — search, database, messaging, cache via A2A + MCP.
B9.5 🔓 open 2 skills -
RabbitMQ + Elasticsearch + Postgres Stack Generator (Mongo): composes elasticsearch/elasticsearch + mongo + postgres + rabbitmq — search, database, messaging via A2A + MCP.
B9.4 🔓 open 2 skills -
RabbitMQ + Postgres + MongoDB Stack Generator: composes mongo + postgres + rabbitmq + redis — database, messaging, cache via A2A + MCP.
B9.4 🔓 open 2 skills -
RabbitMQ + Elasticsearch + MongoDB Stack Generator: composes elasticsearch/elasticsearch + mongo + rabbitmq + redis — search, database, messaging, cache via A2A + MCP.
B9.5 🔓 open 2 skills -
RabbitMQ + Elasticsearch + Postgres Stack Generator (Elasticsearch/Elasticsearch)VDA / GOSCE● healthy
RabbitMQ + Elasticsearch + Postgres Stack Generator (Elasticsearch/Elasticsearch): composes elasticsearch/elasticsearch + postgres + rabbitmq + redis — search, database, messaging, cache via A2A + MCP.
B9.4 🔓 open 2 skills -
RabbitMQ + Redis Stack Generator: composes rabbitmq + redis — messaging, cache via A2A + MCP.
B9.5 🔓 open 2 skills -
Kafka + MinIO + Redis Stack Generator (Confluentinc/Cp Kafka): composes confluentinc/cp-kafka + confluentinc/cp-zookeeper + minio/minio + redis — messaging, storage, cache via A2A + MCP.
B9.4 🔓 open 2 skills -
MinIO + Redis Stack Generator: composes confluentinc/cp-zookeeper + minio/minio + redis — messaging, storage, cache via A2A + MCP.
B9.5 🔓 open 2 skills -
Postgres + Prometheus Stack Generator: composes confluentinc/cp-zookeeper + postgres + prom/prometheus — messaging, database, monitoring via A2A + MCP.
C+9.1 🔓 open 2 skills -
Kafka + Postgres Stack Generator: composes confluentinc/cp-kafka + confluentinc/cp-zookeeper + postgres — messaging, database via A2A + MCP.
B9.5 🔓 open 2 skills -
Kafka + MinIO + Redis Stack Generator: composes confluentinc/cp-kafka + minio/minio + redis — messaging, storage, cache via A2A + MCP.
B9.5 🔓 open 2 skills